<?php
require('fpdf/fpdf.php');
include("../bd/sql_variables.php");

$con= mysqli_connect("$sql_host", "$sql_usuario", "$sql_pass","$sql_db") or die(header ("No Disponible Servidor de Base de Datos"));
//mysqli_select_db("$sql_db");

$codprog = unserialize($_GET['codprogs']); 
$coddm = unserialize($_GET['coddms']); 

if(isset($_GET['idj'])&& isset($_GET['anno']) && isset($_GET['mes']) && isset($_GET['idtp'])){
$idj=$_GET['idj'];
$idtp=$_GET['idtp'];
$anno=$_GET['anno'];
$mm=$_GET['mes'];
}

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');



//descripcion del tipo de contrato

if($idtp==0){
$desctipocont = " ";
}else{
$desctipocont = "( ".$descpersonal." )";
}


class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}
/*
$sqlask ="";
for($i=0;$i<count($codprog);$i++){
$sqlask=$sqlask."SELECT  b.ua_numplanilla as numplan, b.ug_id as cod, concat(b.ua_apepat,' ',b.ua_apemat,' ',b.ua_nom) as nombre, ";
$sqlask=$sqlask." (select tp_desc from tb_tipoperson where tp_id=c.tp_id) as tipo_personal, (select s_abrev from tb_servicio where s_id=c.s_id and j_id=c.j_id) as servicio, ";
$sqlask=$sqlask." date_format(a.hrp_fecha,'%d/%m/%Y') as fecha, concat(date_format(a.hrp_horaini,'%h:%i %p'),' - ',date_format(a.hrp_horafin,'h:%i %p'),'(',a.hrp_numhora,')') as horario, ";
$sqlask=$sqlask." (select thp_desc from tb_tphoraper where thp_id=a.thp_id) as observ FROM tb_horapermiso a inner join tb_usuasist b on a.ug_id= b.ug_id inner join tb_usudep c on b.ug_id=c.ug_id where  ";
$sqlask=$sqlask." year(a.hrp_fecha)='$anno' and month(a.hrp_fecha)='$mm'";

if(count($codprog)>$i+1){
$sqlask=$sqlask." UNION ";
}
}
*/

//$resultlistado = mysqli_query($con,$sqlask);
$sumap=0;

$ini = 20;
$sumat = 260;
$alturaX = 25;
$ha = 5.9;
//$texto1 = $desctipocont;

//nombre de la jefatura
if(isset($_GET['idj'])){
$sqljefatura = "select j_desc as nom from tb_jefatura where j_id='$idj'";
$resultjefatura = mysqli_query($con, $sqljefatura);
while ($rowj= mysqli_fetch_array($resultjefatura)){
$nomjefatura = $rowj['nom']; 
}
}

//nombre de servicio
if(isset($_GET['ids'])){
$ids=$_GET['ids'];
$sqlserv = "select s_desc as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysqli_query($con, $sqlserv);
while ($rows= mysqli_fetch_array($resultserv)){
$nomservicio = $rows['nom']; 
}
}

//descripcion del tipo del personal
if($idtp!=0){
$sqltp = "select tp_desc as descp from tb_tipoperson where tp_id='$idtp'";
$resulttp = mysqli_query($con, $sqltp);
while ($rowtp= mysqli_fetch_array($resulttp)){
$descpersonal = $rowtp['descp']; 
}
}else{
$descpersonal =""; 
}


//$texto2 = "LISTADO DEL PERSONAL CON DESCANSO MEDICO EN EL MES DE ".$arraymes[$mes-1]['mes']." ".$anno;
//$texto2 = "LISTADO DEL PERSONAL DEL DEPARTAMENTO DEL CUIDADO DEL PACIENTE CON PERSMISOS";
$texto2 = "LISTADO DEL PERSONAL CON PERSMISOS EN EL MES DE ".$arraymes[$mm-1]['mes']." ".$anno;

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;

if($nomservicio!=''){
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
}
if($descpersonal!=''){
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
}
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);

						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES', 'SERVICIO', 'TIPO PERSONAL','FECHA','HORARIO','OBSERVACIONES');
						$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.1,$sumat*0.12,$sumat*0.1, $sumat*0.14, $sumat*0.23);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;

if(isset($_GET['ids']) && $_GET['ids']<>-1){
$ids = $_GET['ids'];
	if($_GET['idtp']!=0){
	$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ', a.ua_nom) as nombre, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tipopersona, ";
	$sqllistado = $sqllistado." (select s_abrev from tb_servicio where s_id=b.s_id and j_id=b.j_id) as servicio from tb_usuasist a inner join tb_usudep b on ";
	$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and b.tp_id='$idtp' and  b.ua_estado in  (1,2,4) order by tipopersona, nombre";
	}else{
	$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ', a.ua_nom) as nombre, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tipopersona, ";
	$sqllistado = $sqllistado." (select s_abrev from tb_servicio where s_id=b.s_id and j_id=b.j_id) as servicio from tb_usuasist a inner join tb_usudep b on ";
	$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and  b.ua_estado in  (1,2,4) order by tipopersona, nombre";
	}
}elseif($_GET['idtp']!=0){
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ', a.ua_nom) as nombre, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tipopersona, ";
$sqllistado = $sqllistado." (select s_abrev from tb_servicio where s_id=b.s_id and j_id=b.j_id) as servicio from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.tp_id='$idtp'  and  b.ua_estado in  (1,2,4) order by tipopersona, nombre";
}else{
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ', a.ua_nom) as nombre, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tipopersona, ";
$sqllistado = $sqllistado." (select s_abrev from tb_servicio where s_id=b.s_id and j_id=b.j_id) as servicio from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and  b.ua_estado in  (1,2,4) order by tipopersona, nombre";
}

$resultlistado = mysqli_query($con, $sqllistado);
while ($rowl= mysqli_fetch_array($resultlistado)){
$codigo=$rowl['cod'];
$numplan=$rowl['numplan'];
$nombre=$rowl['nombre'];
$tipopersona=$rowl['tipopersona'];
$servicio=$rowl['servicio'];

$sqlaskdm="select hrp_id as id, date_format(a.hrp_fecha,'%d/%m/%Y') as fecha , concat(date_format(a.hrp_horaini,'%h:%i %p'),' - ',date_format(a.hrp_horafin,'%h:%i %p'),' ( ',a.hrp_numhora,' ) ') as horario, (select thp_desc from tb_tphoraper where thp_id=a.thp_id) as observ from tb_horapermiso a where a.ug_id='$codigo' and  year(a.hrp_fecha)='$anno' and month(a.hrp_fecha)='$mm' ";
$resultdm = mysqli_query($con, $sqlaskdm);
while ($row= mysqli_fetch_array($resultdm)){
$idhp=$row['id'];
$fecha=$row['fecha'];
$hora=$row['horario'];
$nhrs=$row['numhrs'];
$obs=$row['observ'];

$mes = mktime( 0, 0, 0, $mm, 1, $anno ); 
$numeroDeDias = intval(date("t",$mes)); 
$nn = $nn  + 1;
	if($nn>22){
	$ini = 20;
	$alturaX = 25;
	$ha = 5.9;
	//$pdf=new PDF(); // Crea un objeto de la clase fpdf()
	$pdf->AddPage('L'); // Agrega una hoja al documento.
	$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

	//La siguiente instrucción escribe el siguiente mensaje.
	$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
	$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

	$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
	$ini = $ini + $ha*0.8;
	$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
	$ini = $ini + $ha*0.8;
	$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
	//$ini = $ini + $ha*0.8;
	//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
	$ini = $ini + $ha*0.8;
	$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
	$ini = $ini + $ha*1.3;

	$pdf->SetFont('Arial','B',6.5);
							$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES', 'SERVICIO', 'TIPO PERSONAL','FECHA','HORARIO','OBSERVACIONES');
							$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.1,$sumat*0.12,$sumat*0.1, $sumat*0.14, $sumat*0.23);
							$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
							$ini = $ini + $ha*1.5;
							$nn=1;
	}

	
	$whlist= array($sumat*0.09,$sumat*0.22,$sumat*0.1,$sumat*0.12,$sumat*0.1, $sumat*0.14, $sumat*0.23);
	$arraylist = array($numplan,$nombre, $servicio, $tipopersona,  $fecha, $hora, $obs);
	$alinea = array('C','L','C','C','C','C','C');

	$pdf->ImprimirTablaPersonal($arraylist,30, $ini, $ha, $whlist,$alinea);
   $ini = $ini + $ha;
}

}


$pdf->Output();
?>
